
Redmine - Defect #37282

Subtask isn't displayed correctly since 4.2.7

2022-06-24 14:30 - Nono Nono

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.8   

Resolution: Fixed Affected version: 4.2.7

Description

I can't reproduce a screenshot with 4.2.6 but the subtask looks different / not good since 4.2.7 :

 subtask_bug.png 

Related issues:

Related to Redmine - Defect #36453: Issue subject overflow in subtasks and re... Closed

Associated revisions

Revision 21872 - 2022-09-30 17:17 - Marius BĂLTEANU

Fix subtask list is not properly displayed (#37282).

Revision 21873 - 2022-09-30 17:22 - Marius BĂLTEANU

Remove comment (#37282).

Revision 21874 - 2022-09-30 17:22 - Marius BĂLTEANU

Merge r21872 and r21873 from trunk to 5.0-stable (#37282)

Revision 21875 - 2022-09-30 17:23 - Marius BĂLTEANU

Merge r21872 and r21873 from trunk to 4.2-stable (#37282)

History

#1 - 2022-06-25 08:55 - Go MAEDA

Could you elaborate on what the problem is?

#2 - 2022-06-29 14:45 - Nono Nono

The columns should be distributed evenly, currently there is a line break in every column because the assignee is split across two lines (can't be seen

on the screenshot so you have to trust me on this one :)

I suppose it is just a CSS issue: fixing column widths

#3 - 2022-06-30 03:49 - Go MAEDA

- File 37282-confirmed.png added

Nono Nono wrote:

The columns should be distributed evenly, currently there is a line break in every column because the assignee is split across two lines (can't be

seen on the screenshot so you have to trust me on this one :)

 Confirmed the issue.
#4 - 2022-06-30 03:50 - Go MAEDA

- Status changed from New to Confirmed

#5 - 2022-06-30 03:59 - Go MAEDA

Probably it is caused by source:trunk/public/stylesheets/application.css@21642#L570 in r21642 (#36453).

#6 - 2022-06-30 06:43 - Go MAEDA

- File 37282-cjk.png added

The appearance is even worse if CJK ( Chinese / Japanese / Korean) characters are used in the assignee's name.

 

#7 - 2022-06-30 08:30 - Marius BĂLTEANU

- Target version set to 4.2.8

#8 - 2022-07-17 03:59 - Go MAEDA

- Related to Defect #36453: Issue subject overflow in subtasks and relations tables added

#9 - 2022-07-17 03:59 - Go MAEDA

I think it would be good to revert r21642.

#10 - 2022-07-18 21:43 - Dmitry Makurin 

- File 37282.patch added

Attaching a patch. It adjusts subject width to 50% (as it was previous, wont take that much space) and fixes line breaks in the assigned_to column for

CJK.

#11 - 2022-09-27 22:18 - Marius BĂLTEANU

@Go Maeda, the fix works for you? Or would you prefer to revert the changes?

#12 - 2022-09-27 22:46 - Marius BĂLTEANU

- File fix_for_37282.patch added

Can you test this one as well?

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 6f4796285..5207cec26 100644
--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -567,10 +567,13 @@ body.controller-issues h2.inline-flex {padding-right: 0}

   overflow: hidden;

 }

 #issue_tree .issue > td.subject, #relations .issue > td.subject {

-  width: 100%; /* let subject have one full width column */

+  width: 50%; /* let subject have one full width column */

   word-break: break-word; /* break word if subject is too long */

   padding-right: 25px; /* this is the spaces that .buttons uses next to subject */

 }

+#issue_tree .issue > td.assigned_to, #relations .issue > td.assigned_to {

+  white-space: nowrap;

+}

 #trackers_description {display:none;}

 #trackers_description dt {font-weight: bold; text-decoration: underline;}

 #trackers_description dd {margin: 0; padding: 0 0 1em 0;}

diff --git a/public/stylesheets/responsive.css b/public/stylesheets/responsive.css

index 3d3a41fff..d6282046d 100644

--- a/public/stylesheets/responsive.css

+++ b/public/stylesheets/responsive.css

@@ -774,6 +774,10 @@

     padding-right: 5px;

   }

+  #issue_tree .issue > td.subject, #relations .issue > td.subject {

+    width: 100%; /* let subject have one full width column */

+  }

+

   #issue_tree .issue > td:not(.subject), #relations .issue > td:not(.subject) {

     width: 20%; /* three columns for all cells that are not subject */

   }

#13 - 2022-09-27 22:46 - Marius BĂLTEANU

- Subject changed from subtask isn't displayed correctly since 4.2.7 to Subtask isn't displayed correctly since 4.2.7

#14 - 2022-09-29 09:17 - Go MAEDA

I confirmed the both 37282.patch and fix_for_37282.patch fixes the issue described in #37282#6, and didn't find any side effects.

I think we don't have to revert r21642.

#15 - 2022-09-30 17:23 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

I've committed the second patch.

#16 - 2022-10-02 09:13 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

subtask_bug.png 24 KB 2022-06-24 Nono Nono

37282-confirmed.png 70.3 KB 2022-06-30 Go MAEDA

37282-cjk.png 73.4 KB 2022-06-30 Go MAEDA

37282.patch 939 Bytes 2022-07-18 Dmitry Makurin 

fix_for_37282.patch 1.43 KB 2022-09-27 Marius BĂLTEANU
